Page MenuHomePhabricator

rsync all configs and archives one more time
Closed, ResolvedPublic

Description

after reinstall of fermium: rsync all configs and archives one more time

check T109399 to include everything listed there

optionally write a quick script for this

Event Timeline

Dzahn created this task.Aug 24 2015, 11:24 PM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a subscriber: Dzahn.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2015, 11:24 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 24 2015, 11:26 PM

see updates from T108071#1562876 and following

done. we have a copy of archives and configs over an fermium again

Dzahn closed this task as Resolved.Aug 27 2015, 12:48 AM
Dzahn claimed this task.
Dzahn reopened this task as Open.Aug 27 2015, 1:20 AM

we will have to do it yet another time, because:

  • we want to run a full import to see how long it takes
  • we don't have enough diskspace to keep a full import directory AND have all lists in place, so we delete source files during sync

need to get rsyncd back up manually because we need to rsync but that was added via puppet in the migration role. now we apply the prod role

Change 235155 had a related patch set uploaded (by Dzahn):
mailman: ferm, allow rsync from sodium for migration

https://gerrit.wikimedia.org/r/235155

Change 235155 merged by Dzahn:
mailman: ferm, allow rsync from sodium for migration

https://gerrit.wikimedia.org/r/235155

Dzahn added a comment.Sep 1 2015, 11:16 PM

rsync running in screen ...

Dzahn added a comment.Sep 3 2015, 12:04 AM

yea, this works. just always takes long no matter what. i can run it and then immediately repeat it and still wait 90 mins.

real 90m25.457s

Dzahn closed this task as Resolved.Sep 3 2015, 12:04 AM

90 minutes still seems like a concern to me but expected I guess. The length though can increase a bit which may be an issue on the day. So we really need to cut down the time between rsync 1 and rsync 2.

Dzahn added a comment.Sep 3 2015, 12:08 AM

yea, agreed.this is making our maintenance window shorter. we also need to rsync the mail queue and run the import script. it adds up. will try to run it the night before too.

Dzahn added a comment.EditedSep 4 2015, 12:43 AM

-W : real 117m40.660s

--no-W: real 73m41.060s